libstdc++

Classes | Namespaces
ptr_traits.h File Reference

Go to the source code of this file.

## Classes

struct | std::pointer_traits< _Ptr >
| Uniform interface to all pointer-like types. More...
struct | std::pointer_traits< _Tp * >
| Partial specialization for built-in pointers. More...

## Namespaces

namespace | std

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file ptr_traits.h.